<?php

/**
 * @module          Meta-Index
 * @author          cms-lab
 * @copyright       2018-2018 cms-lab
 * @link            http://www.cms-lab.com
 * @license         custom license: http://cms-lab.com/_documentation/meta_index/license.php
 * @license_terms   please see license
 *
 */

 // include class.secure.php to protect this file and the whole CMS!
if (defined('LEPTON_PATH')) {   
   include(LEPTON_PATH.'/framework/class.secure.php');
} else {
   $oneback = "../";
   $root = $oneback;
   $level = 1;
   while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
      $root .= $oneback;
      $level += 1;
   }
   if (file_exists($root.'/framework/class.secure.php')) {
      include($root.'/framework/class.secure.php');
   } else {
      trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
   }
}
// end include class.secure.php

$debug = true;

if (true === $debug) {
	ini_set('display_errors', 1);
	error_reporting(E_ALL);
}

if(isset($_POST['cancel']) ) {
	header("Location: ".ADMIN_URL."/admintools/tool.php?tool=meta_index&leptoken=".$_POST['leptoken']."");
	exit(0);
}


// not slected...
if( ($_POST['save_entry'] != 'save') || ($_POST['page_id'] == '') ) {
	header("Location: ".ADMIN_URL."/admintools/tool.php?tool=meta_index&leptoken=".$_POST['leptoken']."");
	exit(0);	
}

//get instance of own module class
$oMIF = meta_index_functions::getInstance();

// add slected entry
if( ($_POST['save_entry'] == 'save') && ($_POST['page_id'] != '') ) {
	
	$existing_id = $database->get_one("SELECT page_id FROM ".TABLE_PREFIX."mod_meta_index WHERE page_id=".$_POST['page_id']."");
	if($existing_id != NULL){
		header("Location: ".ADMIN_URL."/admintools/tool.php?tool=meta_index&leptoken=".$_POST['leptoken']."");
		exit(0);
	} else {
		// insert values
		$values = array();
		$database->execute_query(
			"SELECT * FROM ".TABLE_PREFIX."pages WHERE page_id=".$_POST['page_id']." " ,
			true,
			$values,
			false
		);				
		$database->simple_query("INSERT INTO ".TABLE_PREFIX."mod_meta_index VALUES (NULL, ".$values['page_id'].", '".$values['page_title']."', '".$values['menu_title']."', 'index, follow')");
			
		// Check if there is a db error, else success
		if($database->is_error()) {
		$oMIF->admin->print_error($database->get_error());
		} else {
		$oMIF->admin->print_success('record_ saved', ADMIN_URL."/admintools/tool.php?tool=meta_index");
		}
	}
	
}

// Print admin footer
$oMIF->admin->print_footer();			

?>